Subject: [bug#73523] Issue 73523 adjustments

From: emma <[email-masked]>
Date: Fri, 25 Oct 2024 17:04:10 +0000

"Aaron Covrig" <[email-masked]> writes:

> Hello big bug,
>
> Thank you for your submission; I modified the patch files as 
> they were
> all garbled when pulled down and failed to apply. I'm curious as 
> to how
> the original commits were created, were they by chance manually 
> copied
> up instead of being sent using git:send-email? Here is a 
> StackOverflow
> on how to setup
> git:send-email: https://stackoverflow.com/q/68238912 it is for 
> gmail
> instead of proton mail, but should give a general idea (and if 
> you
> can't link proton mail this way, you can always create an 
> anonymous
> gmail to send in patches (someone else can chime in if there is 
> an
> alternate way to send patches that is more compatible with 
> proton
> mail/manual copy paste).
>
> Additionally, Guix has additional documentation on how to send 
> in
> patches (and patch series):
> 1. https://guix.gnu.org/manual/devel/en/html_node/Submitting-Patches.html
> 2. https://guix.gnu.org/manual/devel/en/html_node/Sending-a-Patch-Series.html
>
> For future reviewers, I have not extensively checked out the
> patches/verified that they are working; but they should now 
> build
> successfully.
>
> v/r,
>
> Aaron
>
> P.S.
>
> There is also the Mumi interface for sending patches, but I have 
> yet to
> try it personally:
> * 
> https://guix.gnu.org/manual/devel/en/html_node/Debbugs-User-Interfaces.html

hello aaron,
thank you for formatting and the links!
this was my first attempt using git send-email, and was 
encountering several issues, which may be the source of the 
garbling. the original commits were made using the steps laid out 
in 
https://guix.gnu.org/manual/devel/en/html_node/Sending-a-Patch-Series.html, 
but the aforementioned issues had me having to resend the failed 
emails from my proton account. i've since resolved it so i future 
patch submissions should not be garbled.

emma

--
emma
EF515F7D600717781DF9AB2E0FB1CF2867A117F5